require 'uu/os/rest/dto'
require 'uu/os/uesuri'

# Module Unicorn Universe.
module UU
  
  # Module Operating System.
  module OS
    
    # Use Case Log service.
    module UseCaseLog
      
      # @see UseCaseLog#get_record_list
      class UseCaseLogGetRecordList < UU::OS::REST::PagingCriteria
        
        # @see UseCaseLog#get_record_list
        attr_accessor :start_date;
        
        # @see UseCaseLog#get_record_list
        attr_accessor :end_date;
      
        def start_date()
          return attributes[:startDate];
        end

        def start_date=(value)
          attributes[:startDate] = value;
        end

        def end_date()
          return attributes[:endDate];
        end

        def end_date=(value)
          attributes[:endDate] = value;
        end
      end
    end
  end
end